This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 527534 - (CVE-2009-2908) CVE-2009-2908 kernel ecryptfs NULL pointer dereference
CVE-2009-2908 kernel ecryptfs NULL pointer dereference
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=internet,public=20090922,repor...
: Security
Depends On: 527834 527835 537286
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-06 16:21 EDT by Josh Bressers
Modified: 2012-07-16 13:36 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 14:15:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-10-06 16:21:10 EDT
A flaw was found in ecryptfs which can result in a NULL pointer dereference. Quoting the commit message:

  When calling vfs_unlink() on the lower dentry, d_delete() turns the
  dentry into a negative dentry when the d_count is 1.  This eventually
  caused a NULL pointer deref when a read() or write() was done and the
  negative dentry's d_inode was dereferenced in
  ecryptfs_read_update_atime() or ecryptfs_getxattr().

The upstream commit is here:
http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.31.y.git;a=commit;h=afc2b6932f48f200736d3e36ad66fee0ec733136

There is a launchpad bug with more details here:
https://bugs.launchpad.net/ecryptfs/+bug/387073
Comment 1 Josh Bressers 2009-10-06 16:22:15 EDT
I suspect this flaw could result in arbitrary code execution, but I'm not 100% honestly. The pointer in question does contain function pointers. It's possible it's not, but my limited knowledge tells me to treat is as such.
Comment 4 Jan Lieskovsky 2009-10-13 08:42:27 EDT
MITRE's CVE-2009-2908 entry:
----------------------------

The d_delete function in fs/ecryptfs/inode.c in eCryptfs in the Linux
kernel 2.6.31 allows local users to cause a denial of service (kernel
OOPS) and possibly execute arbitrary code via unspecified vectors that
cause a "negative dentry" and trigger a NULL pointer dereference, as
demonstrated via a Mutt temporary directory in an eCryptfs mount.

References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2908
https://bugs.launchpad.net/ecryptfs/+bug/387073
http://www.securityfocus.com/bid/36639
http://xforce.iss.net/xforce/xfdb/53693
Comment 5 Fedora Update System 2009-10-14 20:21:15 EDT
kernel-2.6.27.37-170.2.104.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.27.37-170.2.104.fc10
Comment 6 Fedora Update System 2009-10-15 18:37:01 EDT
kernel-2.6.27.37-170.2.104.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-10-17 21:57:29 EDT
kernel-2.6.30.9-90.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.30.9-90.fc11
Comment 8 Fedora Update System 2009-10-27 02:47:37 EDT
kernel-2.6.30.9-90.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2009-11-03 14:33:44 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1548 https://rhn.redhat.com/errata/RHSA-2009-1548.html

Note You need to log in before you can comment on or make changes to this bug.